%define	name	lua
%define	version	5.0.2
%define	release	%mkrel 7

%define	major	5
%define	libname %mklibname %{name} %{major}
%define	libname_orig lib%{name}

%define	lua_version	5.0

Summary:	Lua is a powerful, light-weight programming language
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	MIT
URL:		http://www.lua.org/
Group:	Development/Other
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-config.patch.bz2
Patch1:		%{name}-lbaselib.patch.bz2
Patch2:		%{name}-default.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Lua is a programming language originally designed for extending applications, 
but also frequently used as a general-purpose, stand-alone language. Lua
combines simple procedural syntax (similar to Pascal) with powerful data 
description constructs based on associative arrays and extensible semantics.
Lua is dynamically typed, interpreted from bytecodes, and has automatic memory
management, making it ideal for configuration, scripting, and rapid
prototyping. Lua is implemented as a small library of C functions, written in 
ANSI C, and compiles unmodified in all known platforms. The implementation
goals are simplicity, efficiency, portability, and low embedding cost.

%package -n	%{libname}
Summary:	Lua is a powerful, light-weight programming language
Group:		System/Libraries
Conflicts:	liblua4 < 4.0.1-1mdk

%description -n	%{libname}
Lua is a programming language originally designed for extending applications,
but also frequently used as a general-purpose, stand-alone language. Lua
combines simple procedural syntax (similar to Pascal) with powerful data
description constructs based on associative arrays and extensible semantics.
Lua is dynamically typed, interpreted from bytecodes, and has automatic memory
management, making it ideal for configuration, scripting, and rapid
prototyping. Lua is implemented as a small library of C functions, written in
ANSI C, and compiles unmodified in all known platforms. The implementation
goals are simplicity, efficiency, portability, and low embedding cost.

This package includes the libraries.

%package -n	%{libname}-devel
Summary:	Lua is a powerful, light-weight programming language
Group:		Development/Other
Requires:	%{libname} = %{version}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Provides:	lua-devel = %{version}-%{release}
Obsoletes:	%{libname_orig}-devel

%description -n	%{libname}-devel
Lua is a programming language originally designed for extending applications,
but also frequently used as a general-purpose, stand-alone language. Lua
combines simple procedural syntax (similar to Pascal) with powerful data
description constructs based on associative arrays and extensible semantics.
Lua is dynamically typed, interpreted from bytecodes, and has automatic memory
management, making it ideal for configuration, scripting, and rapid
prototyping. Lua is implemented as a small library of C functions, written in
ANSI C, and compiles unmodified in all known platforms. The implementation
goals are simplicity, efficiency, portability, and low embedding cost.

This package contains the headers and development files for lua.

%prep
%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1

%build

%ifarch x86_64
fpic="-fPIC"
%endif
%make MYCFLAGS="$RPM_OPT_FLAGS ${fpic}"
make so

%install

%makeinstall_std INSTALL_LIB=%buildroot%_libdir
install -d $RPM_BUILD_ROOT%{_libdir}/lua/%{lua_version}/
install -d $RPM_BUILD_ROOT%{_datadir}/lua/%{lua_version}/
install -m 755 lib/*.so.* $RPM_BUILD_ROOT%{_libdir}/
cp -a lib/*.so $RPM_BUILD_ROOT%{_libdir}/
install -m 644 lib/*.lua $RPM_BUILD_ROOT%{_datadir}/lua/%{lua_version}/

# for update-alternatives
mv $RPM_BUILD_ROOT/%{_bindir}/lua $RPM_BUILD_ROOT/%{_bindir}/lua5
mv $RPM_BUILD_ROOT/%{_bindir}/luac $RPM_BUILD_ROOT/%{_bindir}/luac5


%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname}
/sbin/ldconfig
/usr/sbin/update-alternatives --install %{_bindir}/lua lua %{_bindir}/lua5 5 --slave %{_bindir}/luac luac %{_bindir}/luac5

%postun -n %{libname}
/sbin/ldconfig
[[ -f %_bindir/lua5 ]] || /usr/sbin/update-alternatives --remove lua %{_bindir}/lua5

%files -n %{libname}
%defattr (-,root,root)
%doc COPYRIGHT HISTORY INSTALL MANIFEST README
%doc doc/*.html doc/*.gif
%{_bindir}/*
%{_libdir}/*.so.*
%dir %{_libdir}/lua
%{_libdir}/lua/%{lua_version}
%{_datadir}/lua/%{lua_version}/*.lua
%{_mandir}/man1/*

%files -n %{libname}-devel
%defattr (-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a

%changelog
* Fri Jul 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.0.2-7mdk
- fix provides for x86_64

* Tue Apr 12 2005 Olivier Thauvin <nanardon@mandrake.org> 5.0.2-6mdk
- avoid postun exit 1 (thanks Eskild Hustvedt && Daniel Le Berre)

* Mon Apr 11 2005 Olivier Thauvin <nanardon@mandrake.org> 5.0.2-5mdk
- add -fPIC on x86_64
- fix lib location

* Sat Mar 12 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 5.0.2-4mdk
- fix update-alternatives (#14460)

* Thu Mar 10 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 5.0.2-3mdk
- fix ownership of files (fixes #14458)
- fix %%mklibname use
- cosmetics
- compile with optimizations

* Sun Aug 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.0.2-2mdk
- fix .so links

* Tue May 04 2004 Lenny Cartier <lenny@mandrakesoft.com> 5.0.2-1mdk
- from Andre Nathan <andre@digirati.com.br>

* Fri Dec 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 5.0-3mdk
- do not rename lua to lua5

* Wed Aug 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 5.0-2mdk
- from andi payn <payn@myrealbox.com> :
	- Co-exist with lua4

* Mon Apr 14 2003 Lenny Cartier <lenny@mandrakesoft.com> 5.0-1mdk
- 5.0

* Mon Apr 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 4.0-4mdk
- Fix -devel dependencies

* Tue Aug 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.0-3mdk
- rebuild

* Mon Jan 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.0-2mdk
- apply library policy

* Wed Jan 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.0-1mdk
- new in contribs
